#include <kos.h>

void sndserver_thread(void *blagh) 
{
	printf("sndserver: pid is %d; capabilities: OggVorbis\r\n", thd_get_current()->tid);
	sndoggvorbis_mainloop();
}

int sndoggvorbis_init()
{
	printf("sndserver: initializing sndoggvorbis 0.6 [RC3 based]\r\n");
	printf("sndserver: using \"Xiphophorus libVorbis I 20011231\"\r\n"); 
	if (thd_create(sndserver_thread, NULL) != NULL) 
	{
		/* Wait until the oggvorbis decoder thread is ready */
		sndoggvorbis_wait_start();
		printf("sndserver: successfully created thread\r\n");
		return 0;
	} 
	else
	{
		printf("sndserver: error creating thread\r\n");
		return -1;
	}
}
